<?php
/**
 *
 * @category        page
 * @package         Jobs Module
 * @author          Reneesh, Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         2.0
 * @lastmodified    May 22, 2012
 *
 */


require('../../config.php');
$update_when_modified = true;
// include the admin wrapper script (includes framework/class.admin.php)
require(WB_PATH.'/modules/admin.php');
if(!defined('WB_PATH')) die(header('Location: index.php'));  

require_once(WB_PATH .'/modules/jobs/functions.php');
if(!file_exists(WB_PATH .'/modules/jobs/languages/' .LANGUAGE .'.php')) {
	require_once(WB_PATH .'/modules/jobs/languages/EN.php');
} else {
	require_once(WB_PATH .'/modules/jobs/languages/' .LANGUAGE .'.php');
}
//Fill template variables
foreach ($JT as $key => $value) { $vars[] = "{".$key."}"; $values[] = $value; }


if(!isset($wysiwyg_editor_loaded)) {
	$wysiwyg_editor_loaded=true;
	if (!defined('WYSIWYG_EDITOR') OR WYSIWYG_EDITOR=="none" OR !file_exists(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php')) {
		function show_wysiwyg_editor($name,$id,$content,$width,$height) {
			echo '<textarea name="'.$name.'" id="'.$id.'" style="width: '.$width.'; height: '.$height.';">'.$content.'</textarea>';
		}
	} else {
		require(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php');
	}
}

// include core functions of WB 2.7 to edit the optional module CSS files (frontend.css, backend.css)
@include_once(WB_PATH .'/framework/module.functions.php');
if(!file_exists(WB_PATH .'/modules/jobs/languages/' .LANGUAGE .'.php')) {
	require_once(WB_PATH .'/modules/jobs/languages/EN.php');
} else {
	require_once(WB_PATH .'/modules/jobs/languages/' .LANGUAGE .'.php');
}

$page_id = intval($_REQUEST['page_id']);
$section_id = intval($_REQUEST['section_id']);
$vars[] = '{WB_URL}';					$values[] = WB_URL;
$vars[] = '{PAGE_ID}';					$values[] = $page_id;
$vars[] = '{SECTION_ID}';				$values[] = $section_id;
$id = isset($_REQUEST['id']) ? intval($_REQUEST['id']):0;
if ($id) {
	$sql_result = $database->query("SELECT * FROM `" .TABLE_PREFIX ."mod_jobs` where id = '$id'");
	$data = $sql_result->fetchRow();
	
	ob_start(); show_wysiwyg_editor('full_description','full_description',htmlspecialchars($data['full_description']),'100%','350'); $wysiwyg = ob_get_contents (); ob_end_clean();
	$texteditor = '<textarea name="full_description" id="full_description" style="width: 100%; height: 300px;">'.htmlspecialchars($data['full_description']).'</textarea>';

	$vars[] = '{ID}';						$values[] = $data['id'];
	$vars[] = '{JOB_ID}';					$values[] = $data['job_id'];
	$vars[] = '{CATEGORY}';					$values[] = $data['category'];
	$vars[] = '{COMPANY}';					$values[] = $data['company'];
	$vars[] = '{SHORT_DESC}';				$values[] = htmlspecialchars($data['position_description']);
	$vars[] = '{FULL_DESC_WYSIWYG}';		$values[] = $wysiwyg;
	$vars[] = '{FULL_DESC}';				$values[] = $texteditor;
	$vars[] = '{LOCATION}';					$values[] = $data['location'];
	$vars[] = '{COUNTRY}';					$values[] = $data['country'];
	$vars[] = '{EDUCATION}';				$values[] = $data['education'];
	$vars[] = '{RESOURCE_MANAGER}';			$values[] = $data['resource_manager'];
	$vars[] = '{NOTIFICATION_ADDRESS}';		$values[] = $data['notification_address'];
	$vars[] = '{START_DATE}';				$values[] = $data['start_date'];
	$vars[] = '{HOURS}';					$values[] = $data['hours'];
	$vars[] = '{ACTIVE}';					$values[] = $data['active']? ' checked="checked"':'';
	$vars[] = '{VISIBLE}';					$values[] = $data['visible']? ' checked="checked"':'';
} else {
	ob_start(); show_wysiwyg_editor('full_description','full_description','','100%','350'); $wysiwyg = ob_get_contents (); ob_end_clean();
	$texteditor = '<textarea name="full_description" id="full_description" style="width: 100%; height: 300px;"></textarea>';
	$vars[] = '{ID}';						$values[] = 0;
	$vars[] = '{JOB_ID}';					$values[] = '';
	$vars[] = '{CATEGORY}';					$values[] = '';
	$vars[] = '{COMPANY}';					$values[] = '';
	$vars[] = '{SHORT_DESC}';				$values[] = '';
	$vars[] = '{FULL_DESC_WYSIWYG}';		$values[] = $wysiwyg;
	$vars[] = '{FULL_DESC}';				$values[] = $texteditor;
	$vars[] = '{LOCATION}';					$values[] = '';
	$vars[] = '{COUNTRY}';					$values[] = '';
	$vars[] = '{EDUCATION}';				$values[] = '';
	$vars[] = '{RESOURCE_MANAGER}';			$values[] = '';
	$vars[] = '{NOTIFICATION_ADDRESS}';		$values[] = '';
	$vars[] = '{START_DATE}';				$values[] = '';
	$vars[] = '{HOURS}';					$values[] = '';
	$vars[] = '{ACTIVE}';					$values[] = ' checked="checked"';
	$vars[] = '{VISIBLE}';					$values[] = '';
}
$output = file_get_contents(dirname(__FILE__).'/templates/edit_job.htt');
$output = str_replace($vars, $values, $output);
echo $output;

