<?php
/**
 *
 * @category        page
 * @package         Jobs Module
 * @author          Reneesh, Ruud Eisinga - www.dev4me.nl
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         2.0
 * @lastmodified    May 22, 2012
 *
 */

// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: index.php'));  
if(!file_exists(WB_PATH .'/modules/jobs/languages/' .LANGUAGE .'.php')) {
	require_once(WB_PATH .'/modules/jobs/languages/EN.php');
} else {
	require_once(WB_PATH .'/modules/jobs/languages/' .LANGUAGE .'.php');
}
//Fill template variables
foreach ($JT as $key => $value) { $vars[] = "{".$key."}"; $values[] = $value; }

$page_to_display = isset($_REQUEST['id']) ? $wb->add_slashes($_REQUEST['id']) : '' ;
$page_to_display = isset($_REQUEST['j']) ? $wb->add_slashes($_REQUEST['j']) : $page_to_display ;
require_once(WB_PATH .'/modules/jobs/functions.php');

if ($page_to_display) {
	include_once("job_contact.php");
} else {
	$coufilter = isset($_SESSION['country'])  ? $_SESSION['country']  : '' ;
	$locfilter = isset($_SESSION['location']) ? $_SESSION['location'] : '' ;
	$catfilter = isset($_SESSION['category']) ? $_SESSION['category'] : '' ;
	$comfilter = isset($_SESSION['company'])  ? $_SESSION['company']  : '' ;
	$coufilter = isset($_REQUEST['country'])  ? $wb->add_slashes($_REQUEST['country'])  : $coufilter ;
	$locfilter = isset($_REQUEST['location']) ? $wb->add_slashes($_REQUEST['location']) : $locfilter ;
	$catfilter = isset($_REQUEST['category']) ? $wb->add_slashes($_REQUEST['category']) : $catfilter ;
	$comfilter = isset($_REQUEST['company'])  ? $wb->add_slashes($_REQUEST['company'])  : $comfilter ;
	$_SESSION['country']  = $coufilter;
	$_SESSION['location'] = $locfilter;
	$_SESSION['category'] = $catfilter;
	$_SESSION['company']  = $comfilter;
	
	//setup filters
	$filters = get_list($coufilter,$locfilter,$catfilter,$comfilter);
	$f1 = c_select($filters['country'] ,"country" ,$coufilter, $JT['F_ALL_COUNTRY']);
	$f2 = c_select($filters['location'],"location",$locfilter, $JT['F_ALL_LOCATION']);
	$f3 = c_select($filters['category'],"category",$catfilter, $JT['F_ALL_CATEGORY']);
	$f4 = c_select($filters['company'] ,"company" ,$comfilter, $JT['F_ALL_COMPANY']);
	$vars[] = '{URL}';			$values[] = $_SERVER['SCRIPT_NAME'];
	$vars[] = '{L_COUNTRY}';	$values[] = $f1;
	$vars[] = '{L_LOCATION}';	$values[] = $f2;
	$vars[] = '{L_CATEGORY}';	$values[] = $f3;
	$vars[] = '{L_COMPANY}';	$values[] = $f4;
	$output = file_get_contents(dirname(__FILE__).'/templates/filter.htt');
	$output = str_replace($vars, $values, $output);
	echo $output;
	//setup query
	$morewhere  = $coufilter ? " AND `country` = '$coufilter'" : '';
	$morewhere .= $locfilter ? " AND `location` = '$locfilter'" : '';
	$morewhere .= $catfilter ? " AND `category` = '$catfilter'" : '';
	$morewhere .= $comfilter ? " AND `company`  = '$comfilter'" : '';
	$sql_result = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_jobs` WHERE `active` = '1' $morewhere ORDER BY `id` DESC");
	if($sql_result->numRows() > 0) { 
		$header = file_get_contents(dirname(__FILE__).'/templates/overview_header.htt');
		$header = str_replace($vars, $values, $header);
		$footer = file_get_contents(dirname(__FILE__).'/templates/overview_footer.htt');
		$footer = str_replace($vars, $values, $footer);
		$thebody = file_get_contents(dirname(__FILE__).'/templates/overview_item.htt');
		$body = '';
		while($data = $sql_result->fetchRow()){ 
			$vars = array(); $values=array();
			$id = $data['id'];
			$vars[] = '{ID}';						$values[] = $data['id'];
			$vars[] = '{ENCID}';					$values[] = dechex(51893 * $data['id']);
			$vars[] = '{SECTION_ID}';				$values[] = $data['section_id'];
			$vars[] = '{PAGE_ID}';					$values[] = $data['page_id'];
			$vars[] = '{ACTIVE}';					$values[] = $data['active'];
			$vars[] = '{JOB_ID}';					$values[] = $data['job_id'];
			$vars[] = '{CATEGORY}';					$values[] = $data['category'];
			$vars[] = '{COMPANY}';					$values[] = $data['company'];
			$vars[] = '{SHORT_DESC}';				$values[] = $data['position_description'];
			$vars[] = '{FULL_DESC}';				$values[] = $data['full_description'];
			$vars[] = '{LOCATION}';					$values[] = $data['location'];
			$vars[] = '{COUNTRY}';					$values[] = $data['country'];
			$vars[] = '{EDUCATION}';				$values[] = $data['education'];
			$vars[] = '{RESOURCE_MANAGER}';			$values[] = $data['resource_manager'];
			$vars[] = '{NOTIFICATION_ADDRESS}';		$values[] = $data['notification_address'];
			$vars[] = '{START_DATE}';				$values[] = $data['start_date'];
			$vars[] = '{HOURS}';					$values[] = $data['hours'];
			$vars[] = '{TIMESTAMP}';				$values[] = date(DATE_FORMAT.' - '.TIME_FORMAT,$data['timestamp']);
			$vars[] = '{TIMESTAMP_DATE}';			$values[] = date(DATE_FORMAT,$data['timestamp']);
			$vars[] = '{TIMESTAMP_TIME}';			$values[] = date(TIME_FORMAT,$data['timestamp']);
			$vars[] = '{LAST_UPDATE}';				$values[] = date(DATE_FORMAT.' - '.TIME_FORMAT,$data['last_update']);
			$vars[] = '{LAST_UPDATE_DATE}';			$values[] = date(DATE_FORMAT,$data['last_update']);
			$vars[] = '{LAST_UPDATE_TIME}';			$values[] = date(TIME_FORMAT,$data['last_update']);
			$vars[] = '{O_DETAILS}';				$values[] = $JT['O_DETAILS'];
			$body .= str_replace($vars, $values, $thebody);
		}
		echo $header.$body.$footer;
	} else {
		$output = file_get_contents(dirname(__FILE__).'/templates/noresults.htt');
		$output = str_replace($vars, $values, $output);
		echo $output;
	}
}
?>